> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/document-type.md).

# Document Type

Manage VARIO Cloud document types via API, including categories, states, transitions, follow-up types, numbering, activation, and configuration.

Document-Types

## GET /erp/document-types/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}":{"get":{"tags":["DocumentType"],"summary":"Find an existing Resource by identifier","operationId":"getById_42","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentType"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-document-DocumentType":{"description":"target document type for document copy","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"labels":{"type":"array","description":"label/name of this type","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeLabel"}},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"showForManualDocumentCreation":{"type":"boolean","default":true,"description":"May this type be used to create new documents?"},"nextNumber":{"type":"string","description":"Next document number.","maxLength":255,"minLength":0,"readOnly":true},"followUpDocumentTypes":{"type":"array","description":"follow up document types","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"},"readOnly":true},"defaultTypeOfCategory":{"type":"boolean","default":false,"description":"Is this document type the default document type of its category?"},"active":{"type":"boolean","default":true,"description":"Is this document type active?"},"shelfDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"requiresBusinessRelationship":{"type":"boolean","default":true,"description":"The business relation is mandatory."},"publishingPolicy":{"type":"string","default":"AUTOMATIC","description":"Assigned DMS document behavior.","enum":["AUTOMATIC","MANUAL"]},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."}},"required":["category"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentTypeLabel":{"description":"label/name of this type","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"languageCode":{"type":"string","description":"Language code"},"label":{"type":"string","description":"label/name of this type (for display)","minLength":1},"labelPrintout":{"type":"string","description":"label/name of this type (for printout)","minLength":1}},"required":["label","labelPrintout","languageCode"]},"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/document-types/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}":{"put":{"tags":["DocumentType"],"summary":"Update existing Resource ","operationId":"update_44","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentType"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentType"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-document-DocumentType":{"description":"target document type for document copy","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"labels":{"type":"array","description":"label/name of this type","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeLabel"}},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"showForManualDocumentCreation":{"type":"boolean","default":true,"description":"May this type be used to create new documents?"},"nextNumber":{"type":"string","description":"Next document number.","maxLength":255,"minLength":0,"readOnly":true},"followUpDocumentTypes":{"type":"array","description":"follow up document types","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"},"readOnly":true},"defaultTypeOfCategory":{"type":"boolean","default":false,"description":"Is this document type the default document type of its category?"},"active":{"type":"boolean","default":true,"description":"Is this document type active?"},"shelfDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"requiresBusinessRelationship":{"type":"boolean","default":true,"description":"The business relation is mandatory."},"publishingPolicy":{"type":"string","default":"AUTOMATIC","description":"Assigned DMS document behavior.","enum":["AUTOMATIC","MANUAL"]},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."}},"required":["category"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentTypeLabel":{"description":"label/name of this type","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"languageCode":{"type":"string","description":"Language code"},"label":{"type":"string","description":"label/name of this type (for display)","minLength":1},"labelPrintout":{"type":"string","description":"label/name of this type (for printout)","minLength":1}},"required":["label","labelPrintout","languageCode"]},"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/document-types/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}":{"delete":{"tags":["DocumentType"],"summary":"Delete an existing Resource","operationId":"delete_41","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## GET /erp/document-types/{id}/followUp/{followUpId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/followUp/{followUpId}":{"get":{"tags":["DocumentType"],"operationId":"getFollowUp","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"followUpId","in":"path","description":"identifier of follow Up","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## PUT /erp/document-types/{id}/followUp/{followUpId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/followUp/{followUpId}":{"put":{"tags":["DocumentType"],"operationId":"updateFollowUp","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"followUpId","in":"path","description":"identifier of follow up","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## DELETE /erp/document-types/{id}/followUp/{followUpId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/followUp/{followUpId}":{"delete":{"tags":["DocumentType"],"operationId":"deleteFollowUp","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"followUpId","in":"path","description":"identifier of follow Up Document Type","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /erp/document-types/{id}/followUp/{followUpId}/deactivate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/followUp/{followUpId}/deactivate":{"put":{"tags":["DocumentType"],"operationId":"deactivateFollowUp","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"followUpId","in":"path","description":"identifier of follow up","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## PUT /erp/document-types/{id}/followUp/{followUpId}/activate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/followUp/{followUpId}/activate":{"put":{"tags":["DocumentType"],"operationId":"activateFollowUp","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"followUpId","in":"path","description":"identifier of follow up","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## PUT /erp/document-types/{id}/deactivate

> Deactivate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/deactivate":{"put":{"tags":["DocumentType"],"summary":"Deactivate an existing resource","operationId":"deactivate_18","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentType"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-document-DocumentType":{"description":"target document type for document copy","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"labels":{"type":"array","description":"label/name of this type","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeLabel"}},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"showForManualDocumentCreation":{"type":"boolean","default":true,"description":"May this type be used to create new documents?"},"nextNumber":{"type":"string","description":"Next document number.","maxLength":255,"minLength":0,"readOnly":true},"followUpDocumentTypes":{"type":"array","description":"follow up document types","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"},"readOnly":true},"defaultTypeOfCategory":{"type":"boolean","default":false,"description":"Is this document type the default document type of its category?"},"active":{"type":"boolean","default":true,"description":"Is this document type active?"},"shelfDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"requiresBusinessRelationship":{"type":"boolean","default":true,"description":"The business relation is mandatory."},"publishingPolicy":{"type":"string","default":"AUTOMATIC","description":"Assigned DMS document behavior.","enum":["AUTOMATIC","MANUAL"]},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."}},"required":["category"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentTypeLabel":{"description":"label/name of this type","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"languageCode":{"type":"string","description":"Language code"},"label":{"type":"string","description":"label/name of this type (for display)","minLength":1},"labelPrintout":{"type":"string","description":"label/name of this type (for printout)","minLength":1}},"required":["label","labelPrintout","languageCode"]},"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/document-types/{id}/activate

> Activate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/activate":{"put":{"tags":["DocumentType"],"summary":"Activate an existing resource","operationId":"activate_18","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentType"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-document-DocumentType":{"description":"target document type for document copy","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"labels":{"type":"array","description":"label/name of this type","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeLabel"}},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"showForManualDocumentCreation":{"type":"boolean","default":true,"description":"May this type be used to create new documents?"},"nextNumber":{"type":"string","description":"Next document number.","maxLength":255,"minLength":0,"readOnly":true},"followUpDocumentTypes":{"type":"array","description":"follow up document types","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"},"readOnly":true},"defaultTypeOfCategory":{"type":"boolean","default":false,"description":"Is this document type the default document type of its category?"},"active":{"type":"boolean","default":true,"description":"Is this document type active?"},"shelfDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"requiresBusinessRelationship":{"type":"boolean","default":true,"description":"The business relation is mandatory."},"publishingPolicy":{"type":"string","default":"AUTOMATIC","description":"Assigned DMS document behavior.","enum":["AUTOMATIC","MANUAL"]},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."}},"required":["category"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentTypeLabel":{"description":"label/name of this type","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"languageCode":{"type":"string","description":"Language code"},"label":{"type":"string","description":"label/name of this type (for display)","minLength":1},"labelPrintout":{"type":"string","description":"label/name of this type (for printout)","minLength":1}},"required":["label","labelPrintout","languageCode"]},"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/document-types

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types":{"post":{"tags":["DocumentType"],"summary":"Create new Resource","operationId":"create_40","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentType"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentType"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-document-DocumentType":{"description":"target document type for document copy","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"labels":{"type":"array","description":"label/name of this type","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeLabel"}},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"showForManualDocumentCreation":{"type":"boolean","default":true,"description":"May this type be used to create new documents?"},"nextNumber":{"type":"string","description":"Next document number.","maxLength":255,"minLength":0,"readOnly":true},"followUpDocumentTypes":{"type":"array","description":"follow up document types","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"},"readOnly":true},"defaultTypeOfCategory":{"type":"boolean","default":false,"description":"Is this document type the default document type of its category?"},"active":{"type":"boolean","default":true,"description":"Is this document type active?"},"shelfDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"requiresBusinessRelationship":{"type":"boolean","default":true,"description":"The business relation is mandatory."},"publishingPolicy":{"type":"string","default":"AUTOMATIC","description":"Assigned DMS document behavior.","enum":["AUTOMATIC","MANUAL"]},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."}},"required":["category"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentTypeLabel":{"description":"label/name of this type","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"languageCode":{"type":"string","description":"Language code"},"label":{"type":"string","description":"label/name of this type (for display)","minLength":1},"labelPrintout":{"type":"string","description":"label/name of this type (for printout)","minLength":1}},"required":["label","labelPrintout","languageCode"]},"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## GET /erp/document-types/{id}/followUp

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/followUp":{"get":{"tags":["DocumentType"],"operationId":"getFollowUps","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /erp/document-types/{id}/followUp

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/followUp":{"post":{"tags":["DocumentType"],"operationId":"createFollowUp","parameters":[{"name":"id","in":"path","description":"identifier of document type","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## GET /erp/document-types/{id}/transitions

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/transitions":{"get":{"tags":["DocumentType"],"operationId":"readTransition","parameters":[{"name":"id","in":"path","description":"type identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeTransition"}}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeTransition":{"properties":{"label":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"key":{"type":"string","description":"unique key"},"sourceState":{"type":"string","description":"source/origin state"},"targetState":{"type":"string","description":"target state"},"uiHint":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["key","label","targetState"]},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## GET /erp/document-types/{id}/states

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/states":{"get":{"tags":["DocumentType"],"operationId":"readStates","parameters":[{"name":"id","in":"path","description":"type identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeState"}}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeState":{"description":"Document state instance.","properties":{"label":{"type":"string","description":"label/name of this state","minLength":1},"key":{"type":"string","description":"unique key for this state"},"definition":{"type":"string","description":"additional state information","enum":["SELECTABLE_TYPES","EDITABLE","DELETED"]}},"required":["key","label"]}}}}
```

## GET /erp/document-types/{id}/dot-file

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/{id}/dot-file":{"get":{"tags":["DocumentType"],"operationId":"buildDotFile","parameters":[{"name":"id","in":"path","description":"type identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"text/plain;charset=UTF-8":{"schema":{"type":"string"}}}}}}}}}
```

## GET /erp/document-types/states

> return all UI relevant document-type-states Labels)

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/states":{"get":{"tags":["DocumentType"],"description":"return all UI relevant document-type-states Labels)","operationId":"getDocumentTypeStates","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeStateRef"}}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeStateRef":{"properties":{"key":{"type":"string","description":"key for this state"},"label":{"type":"string","description":"label/name of this state"}}}}}}
```

## GET /erp/document-types/dot-file

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/dot-file":{"get":{"tags":["DocumentType"],"operationId":"buildCompleteDotFile","responses":{"200":{"description":"OK","content":{"text/plain;charset=UTF-8":{"schema":{"type":"string"}}}}}}}}}
```

## GET /erp/document-types/categories

> return all document-type-categories

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"DocumentType","description":"Document-Types"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/document-types/categories":{"get":{"tags":["DocumentType"],"description":"return all document-type-categories","operationId":"getDocumentTypeCategories","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/document-type.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
